package com.ylx.massage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.massage.mapper.RefundVoucherMapper;
import com.ylx.massage.domain.RefundVoucher;
import com.ylx.massage.service.RefundVoucherService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 退款单(RefundVoucher)表服务实现类
 *
 * @author makejava
 * @since 2024-07-02 17:42:10
 */
@Service("refundVoucherService")
public class RefundVoucherServiceImpl extends ServiceImpl<RefundVoucherMapper, RefundVoucher> implements RefundVoucherService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void refundWechatCallback(String refundNo) {
        LambdaQueryWrapper<RefundVoucher> objectLambdaQueryWrapper = new LambdaQueryWrapper<>();
        objectLambdaQueryWrapper.eq(RefundVoucher::getRefundNo,refundNo);
        RefundVoucher one = this.getOne(objectLambdaQueryWrapper);
        one.setReStatus(1);
        this.updateById(one);
    }
}

